Bug 431 - [UPDATE REQUEST] vala 0.12.1 -> 0.17
: [UPDATE REQUEST] vala 0.12.1 -> 0.17
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 430
  Show dependency treegraph
 
Reported: 2012-06-23 04:19 MSD by Andrey Bondrov
Modified: 2012-07-03 16:51 MSD (History)
2 users (show)

See Also:
RPM Package: vala-0.17.0-1-rosa.lts2012.0
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2012-06-23 04:19:23 MSD
Version of vala in Rosa 2012 LTS is very old and not very usable. We need to update it from 0.12.1 to 0.17. Only vala's own subpackages are linked with libvala at this moment so it should be safe to update.
Comment 1 Andrey Bondrov 2012-06-23 04:21:40 MSD
Advisory: "Version of vala is very old. Update it from 0.12.1 to 0.17".

https://abf.rosalinux.ru/build_lists/619497
https://abf.rosalinux.ru/build_lists/619498
Comment 2 Vladimir Potapov 2012-06-28 14:13:58 MSD
What is the application uses a vala? (need to check its performance)
Comment 3 Andrey Bondrov 2012-06-28 16:33:30 MSD
(In reply to comment #2)
> What is the application uses a vala? (need to check its performance)

Synapse, for example. I cannot package it for 2012lts because vala is too old there. Feel free to get it and rebuild with new vala:

http://abf.rosalinux.ru/downloads/rosa2012.1/repository/SRPMS/contrib/release/synapse-0.2.10-1.src.rpm

But of course you may write your own code to test vala. As it's a programming language and compiler. Tutorial and "Hello, world" example is here:
https://live.gnome.org/Vala/Tutorial
Comment 4 Vladimir Potapov 2012-06-28 17:55:50 MSD
vala-0.17.0-1-rosa.lts2012.0
************ Advisory *****************
Update from 0.12.1 to 0.17
This update makes it possible to build programs that depend on vala 
(for example, Synapse)
******************************************
QA Verified